## GimpColorManaged GimpColorManaged — An interface dealing with color profiles. |

## Functions

const guint8 * | gimp_color_managed_get_icc_profile ()
void | gimp_color_managed_profile_changed ()

## Types and Values

| GimpColorManaged
struct | GimpColorManagedInterface

## Description

An interface dealing with color profiles.

## Functions

### gimp_color_managed_get_icc_profile ()

    const guint8 *
    gimp_color_managed_get_icc_profile (GimpColorManaged *managed,
                                        gsize *len);

#### Parameters

managed | an object the implements the GimpColorManaged interface |
len | return location for the number of bytes in the profile data |

#### Returns

A pointer to a blob of data that represents an ICC color profile.

Since GIMP 2.4

### gimp_color_managed_profile_changed ()

    void
    gimp_color_managed_profile_changed (GimpColorManaged *managed);

Emits the "profile-changed" signal.

#### Parameters

managed | an object the implements the GimpColorManaged interface |

Since GIMP 2.4

## Types and Values

### GimpColorManaged

    typedef struct _GimpColorManaged GimpColorManaged;

### struct GimpColorManagedInterface

    struct GimpColorManagedInterface {
      GTypeInterface  base_iface;

      /*  virtual functions  */
      const guint8 * (* get_icc_profile) (GimpColorManaged *managed,
                                          gsize            *len);

      /*  signals  */
      void           (* profile_changed) (GimpColorManaged *managed);
    };